--- title: "Create channel" slug: "media-livestation-re-stream-channelcreate" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-re-stream-channelcreate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create channel Available in Classic and VPC Create a re-stream channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/re-stream/channels | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelName` | String | Required | Channel name - Enter 3-20 characters using a combination of Korean letters, English letters, numbers, and special character "_". | | `planType` | String | Required | Pricing plan type - `STANDARD` \| `PROFESSIONAL` - `STANDARD`: Re-stream up to 3 platforms. - `PROFESSIONAL`: Re-stream up to 5 platforms. | | `envType` | String | Optional | Channel type - `REAL` (default) \| `DEV` \| `STAGE` - Separator based on the service environment to apply | | `restream` | Array | Required | Re-stream platform list: [restream](/docs/en/media-livestation-re-stream-channelcreate#restream1) | #### `restream` The following describes `restream`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `targetName` | String | Required | Re-stream platform name - `YOUTUBE` \| `CHZZK` \| `STEAM` \| `YOUNOW` \| `USTREAM` \| `AFREECATV` \| `PRISM` \| `CUSTOM` | | `rtmpUrl` | String | Required | Re-stream platform RTMP URL | | `streamKey` | String | Required | Re-stream platform stream key | | `id` | String | Optional | RTMP authentication ID - Enter if you need to set up authentication. | | `password` | String | Optional | RTMP authentication password - Enter if you need to set up authentication. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://livestation.apigw.ntruss.com/api/v2/re-stream/channels' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' \ --data '{ "channelName": "channel001", "planType": "STANDARD", "envType": "REAL", "restream": [ { "targetName": "YOUTUBE", "rtmpUrl": "rtmp://rtmp-test.youtube.com", "streamKey": "****-****-****-****-****", "id": "user000", "password": "dbwj@@@123" }, { "targetName": "PRISM", "rtmpUrl": "rtmp://abc.com", "streamKey": "****-****-****-****-****", "id": "user001", "password": "dbwj@@!456" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.channelId` | String | - | Channel ID | | `content.channelName` | String | - | Channel name | | `content.instanceNo` | Integer | - | Channel instance number | | `content.channelStatus` | String | - | Channel status - `CREATING` \| `READY` \| `PUBLISHING` \| `DELETED` \| `BLOCK` \| `FORCE_BLOCK` \| `FORCE_DELETED` - `CREATING`: Creating - `READY`: Ready - `PUBLISHING`: Streaming - `DELETED`: Terminated - `BLOCK`: Stopped - `FORCE_BLOCK`: Force stopped - `FORCE_DELETED`: Unavailable | | `content.streamKey` | String | - | Stream key | | `content.publishUrl` | String | - | Default transmission URL | | `content.planType` | String | - | Pricing plan type - `STANDARD` \| `PROFESSIONAL` - `STANDARD`: Re-stream up to 3 platforms. - `PROFESSIONAL`: Re-stream up to 5 platforms. | | `content.createdTime` | Integer | - | Channel creation date and time (millisecond) - Unix timestamp format | | `content.restream` | Array | - | Re-stream platform information: [restream](/docs/en/media-livestation-re-stream-channelcreate#restream2) | | `content.platformCount` | Integer | - | Re-stream platform count | | `content.totalPublishSeconds` | Integer | - | Channel usage time (second) | | `content.alertOn` | Boolean | - | Event notification settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.isPublishing` | Boolean | - | Streaming status - `true` \| `false` - `true`: Streaming - `false`: Not streaming | | `content.envType` | String | - | Channel type - `REAL` \| `DEV` \| `STAGE` | #### `restream` The following describes `restream`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | RTMP authentication ID - Displayed when setting up authentication information | | `rtmpUrl` | String | - | Re-stream platform RTMP URL | | `streamKey` | String | - | Re-stream platform stream key | | `password` | String | - | RTMP authentication password - Displayed when setting up authentication information | | `targetName` | String | - | Re-stream platform name | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250819******-Ik1QU", "channelName": "channel001", "instanceNo": 1082*****, "channelStatus": "READY", "streamKey": "zg******************************", "publishUrl": "rtmp://***********.video.media.ntruss.com:8080/relay", "planType": "STANDARD", "createdTime": 1755571786244, "restream": [ { "id": "user000", "rtmpUrl": "rtmp://rtmp-test.youtube.com", "streamKey": "****-****-****-****-****", "password": "dbwj@@@123", "targetName": "YOUTUBE" }, { "id": "user001", "rtmpUrl": "rtmp://abc.prism.com", "streamKey": "****-****-****-****-****", "password": "dbwj@@!456", "targetName": "PRISM" } ], "platformCount": 2, "totalPublishSeconds": 0, "alertOn": false, "isPublishing": false, "envType": "REAL" } } ```